Bug 1031178 - Enable gnome-keyring for XFCE
Enable gnome-keyring for XFCE
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
20
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 15:04 EST by Kostya Vasilyev
Modified: 2015-06-29 08:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:56:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostya Vasilyev 2013-11-15 15:04:40 EST
Description of problem:

Suggestion (sorry, I don't see a way to properly submit a feature suggestion, so using a bug submission form for this).

Steps to Reproduce:

I'm running Fedora 20 (beta) with XFCE, and use Google Chrome (not Chromium). With the initial default configuration, Chrome was prompting me to re-enter my password when started, in order to unlock its password (and sync data?) storage.

It would be more convenient if this extra step was not necessary.

I've made change on my system to address this:

in /etc/xdg/autostart/gnome-keyring-secrets.desktop 

changed: OnlyShowIn=GNOME;Unity;MATE;
to read: OnlyShowIn=GNOME;Unity;MATE;XFCE;

Now Chrome is able to access its secure storage without my having to enter the password a second time.

I guess others running both XFCE and Google Chrome would appreciate the improved convenience -- so my suggestion is to make this change in the system package.
Comment 1 Jay Wheeler 2014-11-20 17:31:36 EST
Thanks for the quick fix... had exactly this problem on Fedora 20 Xfce (Fedora-Live-Xfce-x86_64-20-1.iso) and this saved me a lot of time.
Comment 2 Fedora End Of Life 2015-05-29 05:46:31 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-06-29 08:56:38 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.